%define glib2_version	2.4.0
%define dbus_version	0.33

Summary:	The Galago presence library
Name:		libgalago
Version:	0.5.2
Release:	1
License:	LGPL
Group:		System Environment/Libraries
URL:		http://www.galago.info/
Packager:	%{packager}
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires: glib2     >= %{glib2_version}
Requires: dbus      >= %{dbus_version}
Requires: dbus-glib >= %{dbus_version}

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}

%description
Galago is a D-BUS-based desktop presence framework used to provide account,
person, and presence information for users on IM services and other
communication networks for use in other desktop applications, such as e-mail
clients or address books.


%package devel
Summary:	Development libraries and headers for libgalago
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries and header files for developing against libgalago.


%prep
%setup -q


%build
%configure
make


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libgalago.so.*
%{_datadir}/locale/*/*/*


%files devel
%defattr(-,root,root)
%{_libdir}/libgalago.a
%{_libdir}/libgalago.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/autopackage/skeletons/@galago.info/libgalago/skeleton.1


%changelog
* Wed May 25 2005 Christian Hammond <chipx86@gnupdate.org> 0.3.2
- Initial RPM release.
